Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.bayesian.training.estimator
Class SimpleEstimator

    java.lang.Object
      org.encog.ml.bayesian.training.estimator.SimpleEstimator

All Implemented Interfaces:
  BayesEstimator

    public class SimpleEstimator

extends Object
implements BayesEstimator

A simple probability estimator.

Constructor Summary
`SimpleEstimator()`

Method Summary
`double` | `calculateProbability(BayesianEvent event, int result, int[] args)` Calculate the probability.
`void` | `init(TrainBayesian theTrainer, BayesianNetwork theNetwork, MLDataSet theData)` Init the estimator.
`boolean` | `iteration()` Perform an iteration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleEstimator

    public SimpleEstimator()

Method Detail

### init

    public void init(TrainBayesian theTrainer,
                     BayesianNetwork theNetwork,
                     MLDataSet theData)

  Init the estimator.

  Specified by:
    `init` in interface `BayesEstimator`
  Parameters:
    `theTrainer` - The trainer.
    `theNetwork` - The network.
    `theData` - The data.

### calculateProbability

    public double calculateProbability(BayesianEvent event,
                                       int result,
                                       int[] args)

  Calculate the probability.

  Parameters:
    `event` - The event.
    `result` - The result.
    `args` - The arguments.
  Returns:
    The probability.

### iteration

    public boolean iteration()

  Perform an iteration.

  Specified by:
    `iteration` in interface `BayesEstimator`
  Returns:
    True, if we should contune.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.